[riot-users] ld issues with gcc

Olaf Bergmann bergmann at tzi.org
Wed Jul 31 09:30:10 CEST 2013


Hi all,

Carsten brought to my attention that some of you folks have had linking
issues during the 6lowpan plugtest last weekend.

As I have struggled with gcc not being able to link even the hello-world
application against libgcc on my platform, I build a shiny brand new
gcc-4.8.1 yesterday, and it worked fine! (I had to switch off
libsanitizer to get gcc built, though).  

For the records:

Working for target x86_64-linux-gnu: gcc version 4.8.1 (GCC) 

versions that did not work for me (others not tested): 
gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1), 
gcc version 4.6.3 20120918 (prerelease) (Ubuntu/Linaro 4.6.3-10ubuntu1)


Best Regards
Olaf


More information about the users mailing list